ComboBoxTag (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.taglib.ComboBoxTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class ComboBoxTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.ComboBoxTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ComboBoxTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`ComboBoxTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAccesskey(javax.el.ValueExpression __accesskey)` This attribute assigns an access key to an element.
`void` | `setAlign(javax.el.ValueExpression __align)` left|center|right|justify [CI] Deprecated.
`void` | `setButtonClass(javax.el.ValueExpression __buttonClass)` Style Class attribute for the button Setter for buttonClass
`void` | `setButtonDisabledClass(javax.el.ValueExpression __buttonDisabledClass)` Style Class attribute for the disabled button Setter for buttonDisabledClass
`void` | `setButtonDisabledStyle(javax.el.ValueExpression __buttonDisabledStyle)` CSS style rules to be applied to disabled button Setter for buttonDisabledStyle
`void` | `setButtonIcon(javax.el.ValueExpression __buttonIcon)` Defines icon for the button element Setter for buttonIcon
`void` | `setButtonIconDisabled(javax.el.ValueExpression __buttonIconDisabled)` Defines disabled icon for the button element Setter for buttonIconDisabled
`void` | `setButtonIconInactive(javax.el.ValueExpression __buttonIconInactive)` Defines inactive icon for the button element Setter for buttonIconInactive
`void` | `setButtonInactiveClass(javax.el.ValueExpression __buttonInactiveClass)` Style Class attribute for the inactive button Setter for buttonInactiveClass
`void` | `setButtonInactiveStyle(javax.el.ValueExpression __buttonInactiveStyle)` CSS style rules to be applied to inactive button Setter for buttonInactiveStyle
`void` | `setButtonStyle(javax.el.ValueExpression __buttonStyle)` CSS style rules to be applied to button Setter for buttonStyle
`void` | `setConverter(javax.el.ValueExpression __converter)` Id of Converter to be used or reference to a Converter Setter for converter
`void` | `setConverterMessage(javax.el.ValueExpression __converterMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage
`void` | `setDefaultLabel(javax.el.ValueExpression __defaultLabel)` Defines default label for the input field element Setter for defaultLabel
`void` | `setDirectInputSuggestions(javax.el.ValueExpression __directInputSuggestions)` Defines the first value from the suggested in input field.
`void` | `setDisabled(javax.el.ValueExpression __disabled)` When set for a form control, this boolean attribute disables the control for your input Setter for disabled
`void` | `setEnableManualInput(javax.el.ValueExpression __enableManualInput)` Enables keyboard input, if "false" keyboard input will be locked.
`void` | `setFilterNewValues(javax.el.ValueExpression __filterNewValues)` Defines the appearance of values in the list.
`void` | `setHideDelay(javax.el.ValueExpression __hideDelay)` Delay between losing focus and pop-up list closing.
`void` | `setImmediate(javax.el.ValueExpression __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
`void` | `setInputClass(javax.el.ValueExpression __inputClass)` Style Class attribute for the input field Setter for inputClass
`void` | `setInputDisabledClass(javax.el.ValueExpression __inputDisabledClass)` Style Class attribute for the disabled input Setter for inputDisabledClass
`void` | `setInputDisabledStyle(javax.el.ValueExpression __inputDisabledStyle)` CSS style rules to be applied to disabled input Setter for inputDisabledStyle
`void` | `setInputInactiveClass(javax.el.ValueExpression __inputInactiveClass)` Style Class attribute for the inactive input Setter for inputInactiveClass
`void` | `setInputInactiveStyle(javax.el.ValueExpression __inputInactiveStyle)` CSS style rules to be applied to inactive input Setter for inputInactiveStyle
`void` | `setInputStyle(javax.el.ValueExpression __inputStyle)` CSS style rules to be applied to input field Setter for inputStyle
`void` | `setItemClass(javax.el.ValueExpression __itemClass)` Style Class attribute for the items Setter for itemClass
`void` | `setItemSelectedClass(javax.el.ValueExpression __itemSelectedClass)` Style Class attribute for the selected item Setter for itemSelectedClass
`void` | `setListClass(javax.el.ValueExpression __listClass)` Style Class attribute for the popup list Setter for listClass
`void` | `setListHeight(javax.el.ValueExpression __listHeight)` Defines height of file pop-up list.
`void` | `setListStyle(javax.el.ValueExpression __listStyle)` CSS style rules to be applied to popup list Setter for listStyle
`void` | `setListWidth(javax.el.ValueExpression __listWidth)` Defines width of file popup list Setter for listWidth
`void` | `setOnblur(javax.el.ValueExpression __onblur)` HTML: script expression; the element lost the focus Setter for onblur
`void` | `setOnchange(javax.el.ValueExpression __onchange)` HTML: script expression; the element value was changed Setter for onchange
`void` | `setOnfocus(javax.el.ValueExpression __onfocus)` HTML: script expression; the element got the focus Setter for onfocus
`void` | `setOnlistcall(javax.el.ValueExpression __onlistcall)` A JavaScript event handler called on a list call operation Setter for onlistcall
`void` | `setOnselect(javax.el.ValueExpression __onselect)` HTML: script expression; The onselect event occurs when you select some text in a text field.
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequired(javax.el.ValueExpression __required)` If "true", this component is checked for non-empty input Setter for required
`void` | `setRequiredMessage(javax.el.ValueExpression __requiredMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage
`void` | `setSelectFirstOnUpdate(javax.el.ValueExpression __selectFirstOnUpdate)` Defines if the first value from suggested is selected in pop-up list.
`void` | `setShowDelay(javax.el.ValueExpression __showDelay)` Delay between event and pop-up list showing.
`void` | `setSuggestionValues(javax.el.ValueExpression __suggestionValues)` Defines the suggestion collection Setter for suggestionValues
`void` | `setTabindex(javax.el.ValueExpression __tabindex)` This attribute specifies the position of the current element in the tabbing order for the current document.
`void` | `setValidator(javax.el.MethodExpression __validator)` MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
`void` | `setValidatorMessage(javax.el.ValueExpression __validatorMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage
`void` | `setValue(javax.el.ValueExpression __value)` The current value of this component Setter for value
`void` | `setValueChangeListener(javax.el.MethodExpression __valueChangeListener)` Listener for value changes Setter for valueChangeListener
`void` | `setWidth(javax.el.ValueExpression __width)` Width of the component.

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### ComboBoxTag

    public ComboBoxTag()

Method Detail

### setAccesskey

    public void setAccesskey(javax.el.ValueExpression __accesskey)

  This attribute assigns an access key to an element. An access key is a single character from the document character set. Note: Authors should consider the input method of the expected reader when specifying an accesskey Setter for accesskey

  Parameters:
    `accesskey` - - new value

### setAlign

    public void setAlign(javax.el.ValueExpression __align)

  left|center|right|justify [CI] Deprecated. This attribute specifies the horizontal alignment of its element with respect to the surrounding context. Possible values: left: text lines are rendered flush left. center: text lines are centered. right: text lines are rendered flush right. justify: text lines are justified to both margins. The default depends on the base text direction. For left to right text, the default is align=left, while for right to left text, the default is align=right Setter for align

  Parameters:
    `align` - - new value

### setButtonClass

    public void setButtonClass(javax.el.ValueExpression __buttonClass)

  Style Class attribute for the button Setter for buttonClass

  Parameters:
    `buttonClass` - - new value

### setButtonDisabledClass

    public void setButtonDisabledClass(javax.el.ValueExpression __buttonDisabledClass)

  Style Class attribute for the disabled button Setter for buttonDisabledClass

  Parameters:
    `buttonDisabledClass` - - new value

### setButtonDisabledStyle

    public void setButtonDisabledStyle(javax.el.ValueExpression __buttonDisabledStyle)

  CSS style rules to be applied to disabled button Setter for buttonDisabledStyle

  Parameters:
    `buttonDisabledStyle` - - new value

### setButtonIcon

    public void setButtonIcon(javax.el.ValueExpression __buttonIcon)

  Defines icon for the button element Setter for buttonIcon

  Parameters:
    `buttonIcon` - - new value

### setButtonIconDisabled

    public void setButtonIconDisabled(javax.el.ValueExpression __buttonIconDisabled)

  Defines disabled icon for the button element Setter for buttonIconDisabled

  Parameters:
    `buttonIconDisabled` - - new value

### setButtonIconInactive

    public void setButtonIconInactive(javax.el.ValueExpression __buttonIconInactive)

  Defines inactive icon for the button element Setter for buttonIconInactive

  Parameters:
    `buttonIconInactive` - - new value

### setButtonInactiveClass

    public void setButtonInactiveClass(javax.el.ValueExpression __buttonInactiveClass)

  Style Class attribute for the inactive button Setter for buttonInactiveClass

  Parameters:
    `buttonInactiveClass` - - new value

### setButtonInactiveStyle

    public void setButtonInactiveStyle(javax.el.ValueExpression __buttonInactiveStyle)

  CSS style rules to be applied to inactive button Setter for buttonInactiveStyle

  Parameters:
    `buttonInactiveStyle` - - new value

### setButtonStyle

    public void setButtonStyle(javax.el.ValueExpression __buttonStyle)

  CSS style rules to be applied to button Setter for buttonStyle

  Parameters:
    `buttonStyle` - - new value

### setConverter

    public void setConverter(javax.el.ValueExpression __converter)

  Id of Converter to be used or reference to a Converter Setter for converter

  Parameters:
    `converter` - - new value

### setConverterMessage

    public void setConverterMessage(javax.el.ValueExpression __converterMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage

  Parameters:
    `converterMessage` - - new value

### setDefaultLabel

    public void setDefaultLabel(javax.el.ValueExpression __defaultLabel)

  Defines default label for the input field element Setter for defaultLabel

  Parameters:
    `defaultLabel` - - new value

### setDirectInputSuggestions

    public void setDirectInputSuggestions(javax.el.ValueExpression __directInputSuggestions)

  Defines the first value from the suggested in input field. Default value is "false". Setter for directInputSuggestions

  Parameters:
    `directInputSuggestions` - - new value

### setDisabled

    public void setDisabled(javax.el.ValueExpression __disabled)

  When set for a form control, this boolean attribute disables the control for your input Setter for disabled

  Parameters:
    `disabled` - - new value

### setEnableManualInput

    public void setEnableManualInput(javax.el.ValueExpression __enableManualInput)

  Enables keyboard input, if "false" keyboard input will be locked. Default value is "true" Setter for enableManualInput

  Parameters:
    `enableManualInput` - - new value

### setFilterNewValues

    public void setFilterNewValues(javax.el.ValueExpression __filterNewValues)

  Defines the appearance of values in the list. Default value is "true". Setter for filterNewValues

  Parameters:
    `filterNewValues` - - new value

### setHideDelay

    public void setHideDelay(javax.el.ValueExpression __hideDelay)

  Delay between losing focus and pop-up list closing. Default value is "0". Setter for hideDelay

  Parameters:
    `hideDelay` - - new value

### setImmediate

    public void setImmediate(javax.el.ValueExpression __immediate)

  A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate

  Parameters:
    `immediate` - - new value

### setInputClass

    public void setInputClass(javax.el.ValueExpression __inputClass)

  Style Class attribute for the input field Setter for inputClass

  Parameters:
    `inputClass` - - new value

### setInputDisabledClass

    public void setInputDisabledClass(javax.el.ValueExpression __inputDisabledClass)

  Style Class attribute for the disabled input Setter for inputDisabledClass

  Parameters:
    `inputDisabledClass` - - new value

### setInputDisabledStyle

    public void setInputDisabledStyle(javax.el.ValueExpression __inputDisabledStyle)

  CSS style rules to be applied to disabled input Setter for inputDisabledStyle

  Parameters:
    `inputDisabledStyle` - - new value

### setInputInactiveClass

    public void setInputInactiveClass(javax.el.ValueExpression __inputInactiveClass)

  Style Class attribute for the inactive input Setter for inputInactiveClass

  Parameters:
    `inputInactiveClass` - - new value

### setInputInactiveStyle

    public void setInputInactiveStyle(javax.el.ValueExpression __inputInactiveStyle)

  CSS style rules to be applied to inactive input Setter for inputInactiveStyle

  Parameters:
    `inputInactiveStyle` - - new value

### setInputStyle

    public void setInputStyle(javax.el.ValueExpression __inputStyle)

  CSS style rules to be applied to input field Setter for inputStyle

  Parameters:
    `inputStyle` - - new value

### setItemClass

    public void setItemClass(javax.el.ValueExpression __itemClass)

  Style Class attribute for the items Setter for itemClass

  Parameters:
    `itemClass` - - new value

### setItemSelectedClass

    public void setItemSelectedClass(javax.el.ValueExpression __itemSelectedClass)

  Style Class attribute for the selected item Setter for itemSelectedClass

  Parameters:
    `itemSelectedClass` - - new value

### setListClass

    public void setListClass(javax.el.ValueExpression __listClass)

  Style Class attribute for the popup list Setter for listClass

  Parameters:
    `listClass` - - new value

### setListHeight

    public void setListHeight(javax.el.ValueExpression __listHeight)

  Defines height of file pop-up list. Default value is "200px". Setter for listHeight

  Parameters:
    `listHeight` - - new value

### setListStyle

    public void setListStyle(javax.el.ValueExpression __listStyle)

  CSS style rules to be applied to popup list Setter for listStyle

  Parameters:
    `listStyle` - - new value

### setListWidth

    public void setListWidth(javax.el.ValueExpression __listWidth)

  Defines width of file popup list Setter for listWidth

  Parameters:
    `listWidth` - - new value

### setOnblur

    public void setOnblur(javax.el.ValueExpression __onblur)

  HTML: script expression; the element lost the focus Setter for onblur

  Parameters:
    `onblur` - - new value

### setOnchange

    public void setOnchange(javax.el.ValueExpression __onchange)

  HTML: script expression; the element value was changed Setter for onchange

  Parameters:
    `onchange` - - new value

### setOnfocus

    public void setOnfocus(javax.el.ValueExpression __onfocus)

  HTML: script expression; the element got the focus Setter for onfocus

  Parameters:
    `onfocus` - - new value

### setOnlistcall

    public void setOnlistcall(javax.el.ValueExpression __onlistcall)

  A JavaScript event handler called on a list call operation Setter for onlistcall

  Parameters:
    `onlistcall` - - new value

### setOnselect

    public void setOnselect(javax.el.ValueExpression __onselect)

  HTML: script expression; The onselect event occurs when you select some text in a text field. This attribute may be used with the INPUT and TEXTAREA elements Setter for onselect

  Parameters:
    `onselect` - - new value

### setRequired

    public void setRequired(javax.el.ValueExpression __required)

  If "true", this component is checked for non-empty input Setter for required

  Parameters:
    `required` - - new value

### setRequiredMessage

    public void setRequiredMessage(javax.el.ValueExpression __requiredMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage

  Parameters:
    `requiredMessage` - - new value

### setSelectFirstOnUpdate

    public void setSelectFirstOnUpdate(javax.el.ValueExpression __selectFirstOnUpdate)

  Defines if the first value from suggested is selected in pop-up list. Default value is "true". Setter for selectFirstOnUpdate

  Parameters:
    `selectFirstOnUpdate` - - new value

### setShowDelay

    public void setShowDelay(javax.el.ValueExpression __showDelay)

  Delay between event and pop-up list showing. Default value is "0". Setter for showDelay

  Parameters:
    `showDelay` - - new value

### setSuggestionValues

    public void setSuggestionValues(javax.el.ValueExpression __suggestionValues)

  Defines the suggestion collection Setter for suggestionValues

  Parameters:
    `suggestionValues` - - new value

### setTabindex

    public void setTabindex(javax.el.ValueExpression __tabindex)

  This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros Setter for tabindex

  Parameters:
    `tabindex` - - new value

### setValidator

    public void setValidator(javax.el.MethodExpression __validator)

  MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator

  Parameters:
    `validator` - - new value

### setValidatorMessage

    public void setValidatorMessage(javax.el.ValueExpression __validatorMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage

  Parameters:
    `validatorMessage` - - new value

### setValue

    public void setValue(javax.el.ValueExpression __value)

  The current value of this component Setter for value

  Parameters:
    `value` - - new value

### setValueChangeListener

    public void setValueChangeListener(javax.el.MethodExpression __valueChangeListener)

  Listener for value changes Setter for valueChangeListener

  Parameters:
    `valueChangeListener` - - new value

### setWidth

    public void setWidth(javax.el.ValueExpression __width)

  Width of the component. Default value is "150". Setter for width

  Parameters:
    `width` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.